Batch Real-Time Kline
Batch query historical K-line data for multiple crypto trading pairs. Supports complete OHLCV data across multiple timeframes, ranging from minute to monthly intervals, with the ability to trace back several years of history. The data is provided in a standardized and uniform format.
Real-Time Kline
/crypto/klinesRequest Parameters
regionenumRequiredMarket code
codesstringRequiredProduct code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom
kTypeenumRequiredInterval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month
limitstringRequiredNumber of records to query
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
tunumberTransaction amount
cnumberClosing price of the Kline
tnumberTimestamp
vnumberTransaction volume
hnumberHighest price of the Kline
lnumberLowest price of the Kline
onumberOpening price of the Kline
Code Examples
import requests
url = "https://api.itick.org/crypto/klines?region=BA&codes=BTCUSDT,ETHUSDT&kType=2&limit=5"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/crypto/klines?region=BA&codes=BTCUSDT,ETHUSDT&kType=2&limit=5, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"BTCUSDT": [
{
"tu": 1436796.7075754,
"c": 92474.15,
"t": 1741239000000, // 2025-03-06 05:30:00 UTC
"v": 15.54259,
"h": 92500,
"l": 92362,
"o": 92426.53
}
],
"ETHUSDT": [
{
"tu": 1446224.424779,
"c": 2313.91,
"t": 1741239000000, // 2025-03-06 05:30:00 UTC
"v": 625.2005,
"h": 2318.49,
"l": 2307.5,
"o": 2309.89
}
]
}
}